using Hcs.Client;
using Hcs.Service.Async.NsiCommon;
using System;

namespace Hcs.TestApp.Scenario
{
    internal class NsiCommonScenario(UniClient client)
    {
        private readonly UniClient client = client;

        internal void ExportNsiItem2()
        {
            var result = client.NsiCommon.ExportNsiItemAsync(2, ListGroup.NSI).Result;
            Console.WriteLine("Scenario execution " + (result != null ? "succeeded" : "failed"));
        }

        internal void ExportNsiItem16()
        {
            var result = client.NsiCommon.ExportNsiItemAsync(16, ListGroup.NSI).Result;
            Console.WriteLine("Scenario execution " + (result != null ? "succeeded" : "failed"));
        }

        internal void ExportNsiItem276()
        {
            var result = client.NsiCommon.ExportNsiItemAsync(276, ListGroup.NSI).Result;
            Console.WriteLine("Scenario execution " + (result != null ? "succeeded" : "failed"));
        }

        internal void ExportNsiList()
        {
            var result = client.NsiCommon.ExportNsiListAsync(ListGroup.NSI).Result;
            Console.WriteLine("Scenario execution " + (result != null ? "succeeded" : "failed"));
        }
    }
}
